# Define the kmod package name here.
%define kmod_name sk98lin

# If kversion isn't defined on the rpmbuild line, define it here.
%{!?kversion: %define kversion 2.6.32-358.el6.%{_target_cpu}}

Name:    %{kmod_name}-kmod
Version: 10.93.3.3
Release: 1%{?dist}
Group:   System Environment/Kernel
License: GPLv2
Summary: %{kmod_name} kernel module(s)
URL:     http://www.marvell.com/

BuildRequires: redhat-rpm-config
ExclusiveArch: i686 x86_64

# Sources.
Source0:  %{kmod_name}-%{version}.tar.bz2
Source5:  GPL-v2.0.txt
Source10: kmodtool-%{kmod_name}-el6.sh

# Magic hidden here.
%{expand:%(sh %{SOURCE10} rpmtemplate %{kmod_name} %{kversion} "")}

# Disable the building of the debug package(s).
%define debug_package %{nil}

%description
This package provides the %{kmod_name} kernel module(s) for Marvell
Yukon/SysKonnect SK-NET Gigabit Ethernet NICs.
It is built to depend upon the specific ABI provided by a range of releases
of the same variant of the Linux kernel and not on any one specific build.

%prep
%setup -q -n %{kmod_name}-%{version}
echo "override %{kmod_name} * weak-updates/%{kmod_name}" > kmod-%{kmod_name}.conf

%build
KSRC=%{_usrsrc}/kernels/%{kversion}
%{__make} -C "${KSRC}" %{?_smp_mflags} modules M=$PWD

%install
export INSTALL_MOD_PATH=%{buildroot}
export INSTALL_MOD_DIR=extra/%{kmod_name}
KSRC=%{_usrsrc}/kernels/%{kversion}
%{__make} -C "${KSRC}" modules_install M=$PWD
%{__install} -d %{buildroot}%{_sysconfdir}/depmod.d/
%{__install} kmod-%{kmod_name}.conf %{buildroot}%{_sysconfdir}/depmod.d/
%{__install} -d %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
%{__install} %{SOURCE5} %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
%{__install} sk98lin.htm %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/README.html
%{__install} sk98lin.txt %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/README.txt
# Set the module(s) to be executable, so that they will be stripped when packaged.
find %{buildroot} -type f -name \*.ko -exec %{__chmod} u+x \{\} \;
# Remove the unrequired files.
%{__rm} -f %{buildroot}/lib/modules/%{kversion}/modules.*

%clean
%{__rm} -rf %{buildroot}

%changelog
* Sat Apr 20 2013 Alan Bartlett <ajb@elrepo.org> - 10.93.3.3-1
- Updated to version 10.93.3.3

* Mon Mar 12 2012 Alan Bartlett <ajb@elrepo.org> - 10.92.1.3-1
- Updated to version 10.92.1.3

* Tue Jan 10 2012 Alan Bartlett <ajb@elrepo.org> - 10.91.2.3-2
- Recreated the source tarball, as a precautionary measure.

* Fri Dec 30 2011 Alan Bartlett <ajb@elrepo.org> - 10.91.2.3-1
- Updated to version 10.91.2.3

* Sun Aug 14 2011 Alan Bartlett <ajb@elrepo.org> - 10.88.3.3-1
- Updated to version 10.88.3.3

* Tue Mar 29 2011 Alan Bartlett <ajb@elrepo.org> - 10.87.3.3-2
- Removed the code that delivers the manual page to
- resolve http://elrepo.org/bugs/view.php?id=130
- Corrected the errors in this changelog section.

* Thu Mar 24 2011 Alan Bartlett <ajb@elrepo.org> - 10.87.3.3-1
- Updated to version 10.87.3.3

* Fri Nov 19 2010 Alan Bartlett <ajb@elrepo.org> - 10.85.9.3-1
- Initial el6 build of the kmod package.
